Subject: Re: updating only changed files source directory?

From: Han-Wen Nienhuys <[email-masked]>
Date: Wed, 25 Oct 2006 13:58:50 +0200

Daniel Barkalow escreveu:
>> I'm just starting out with GIT.  Initially, I want to use experiment with
>> integrating it into our binary builder structure for LilyPond.
>>
>> The binary builder roughly does this:
>>
>>  1. get source code updates from a server to a single, local
>>     repository. This is currently a git repository that is that
>>     tracks our CVS server.
>>
>>  2. copy latest commit from a branch to separate source directory.
>>     This copy should only update files that changed.
>>
>>  3. Incrementally compile from that source directory
> 
> The terminology in the git world is, I think, a little different from what 
> you expect. We call the thing that contains all of the tracked information 
> (what you're calling the repository) the "object database"; what we call 

yes, you hit the nail on the head.

> referencing an external one. So you need a repository for each source 
> directory (because it keeps track of what commit is currently in the 
> source directory), but it doesn't need to have its own complete object 
> database, which is what you're trying to share between all of them.

OK. This makes sense; thanks for this pointer.

How can I set the object database?  I found GIT_OBJECT_DIRECTORY, but 
can I write a config file entry for that?

> built it in that directory. You fetch into the single bare repository 
> from upstream, and then pull into each source directory from the bare 
> repository; this will do the minimal update to the contents of the source 
> directory automatically.

yes, this works. Thanks!

--